Arbor 3: FSM & BT Graph Editor 3.1.2

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
RerouteSlot Class Reference

CalculatorBranchの中間点に使用するスロット。 More...

Inheritance diagram for RerouteSlot:

## Public Member Functions
void | SetInputBranch (CalculatorBranch branch)
| CalculatorBranchの設定。 More...
void | RemoveInputBranch (CalculatorBranch branch)
| CalculatorBranchの削除。 More...
CalculatorBranch | GetInputBranch ()
| CalculatorBranchの取得。 More...
bool | IsConnectedInput (CalculatorBranch branch)
| CalculatorBranchと接続しているか判定する。 More...
void | AddOutputBranch (CalculatorBranch branch)
| CalculatorBranchの追加。 More...
void | RemoveOutputBranch (CalculatorBranch branch)
| CalculatorBranchの削除。 More...
int | GetOutputBranchCount ()
| CalculatorBranchの個数を取得。 More...
CalculatorBranch | GetOutputBranch (int index)
| CalculatorBranchの取得。 More...
bool | IsConnectedOutput (CalculatorBranch branch)
| CalculatorBranchと接続しているか判定する。 More...

## Public Attributes
int | inputBranchID
| 入力ブランチのID More...
List< int > | outputBranchIDs = new List<int>()
| 出力ブランチのID More...
ClassTypeReference | type = new ClassTypeReference()
| 接続可能な値の型 More...
Public Attributes inherited from CalculatorSlot
NodeGraph | nodeGraph
| スロットが属しているステートマシン More...
Rect | position
| スロットのArborEditor上の位置(Editor Only) More...

## Properties
override SlotType | slotType`[get]`
| スロットの種類 More...
override System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...
Properties inherited from CalculatorSlot
abstract SlotType | slotType`[get]`
| スロットの種類 More...
abstract System.Type | dataType`[get]`
| スロットに格納されるデータの型 More...

## Detailed Description

CalculatorBranchの中間点に使用するスロット。

## Member Function Documentation

void AddOutputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの追加。

Parameters

  branch | CalculatorBranch

Implements IOutputSlot.

CalculatorBranch GetInputBranch | ( |  | ) |

CalculatorBranchの取得。

Returns
  CalculatorBranch

Implements IInputSlot.

CalculatorBranch GetOutputBranch | ( | int | index | ) |

CalculatorBranchの取得。

Parameters

  index | インデックス

Returns
  CalculatorBranch

Implements IOutputSlot.

int GetOutputBranchCount | ( |  | ) |

CalculatorBranchの個数を取得。

Returns
  CalculatorBranchの個数

Implements IOutputSlot.

bool IsConnectedInput | ( | CalculatorBranch | branch | ) |

CalculatorBranchと接続しているか判定する。

Parameters

  branch | CalculatorBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IInputSlot.

bool IsConnectedOutput | ( | CalculatorBranch | branch | ) |

CalculatorBranchと接続しているか判定する。

Parameters

  branch | CalculatorBranch

Returns
  接続している場合にtrue、それ以外はfalse。

Implements IOutputSlot.

void RemoveInputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの削除。

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

void RemoveOutputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの削除。

Parameters

  branch | CalculatorBranch

Implements IOutputSlot.

void SetInputBranch | ( | CalculatorBranch | branch | ) |

CalculatorBranchの設定。

Parameters

  branch | CalculatorBranch

Implements IInputSlot.

## Member Data Documentation

int inputBranchID

入力ブランチのID

List<int> outputBranchIDs = new List<int>()

出力ブランチのID

ClassTypeReference type = new ClassTypeReference()

接続可能な値の型

## Property Documentation

override System.Type dataType
| get

スロットに格納されるデータの型

override SlotType slotType
| get

スロットの種類